Bug 1415049 - mkdocs jquery-1.10.2.min.js broken symlink
Summary: mkdocs jquery-1.10.2.min.js broken symlink
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkdocs
Version: 25
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 06:00 UTC by pingram
Modified: 2017-01-29 21:51 UTC (History)
2 users (show)

Fixed In Version: mkdocs-0.16.1-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-29 21:51:41 UTC
Type: Bug


Attachments (Terms of Use)

Description pingram 2017-01-20 06:00:37 UTC
Description of problem:
mkdocs is pointing to an out-of-date jsquery.min.js, so is nearly entirely broken.


Version-Release number of selected component (if applicable):
$ rpm -q mkdocs
mkdocs-0.15.3-4.fc25.noarch
$ rpm -q js-jquery1
js-jquery1-1.12.4-2.fc25.noarch


How reproducible:
install updated js-jquery1 package

$ pwd
/usr/lib/python3.5/site-packages/mkdocs/themes/mkdocs/js

$ ll
total 32K
-rw-r--r--. 1 root root 1021 Feb 19  2016 base.js
-rw-r--r--. 1 root root  28K Feb 19  2016 bootstrap-3.0.3.min.js
lrwxrwxrwx. 1 root root   52 Jul 19  2016 highlight.pack.js -> /usr/share/javascript/highlight.js/highlight.pack.js
lrwxrwxrwx. 1 root root   49 Jul 19  2016 jquery-1.10.2.min.js -> /usr/share/javascript/jquery/1.11.2/jquery.min.js

$ stat $(readlink jquery-1.10.2.min.js)
stat: cannot stat '/usr/share/javascript/jquery/1.11.2/jquery.min.js': No such file or directory

$ rpm -ql js-jquery1 | grep jquery.min.js
/usr/share/javascript/jquery/1.12.4/jquery.min.js


mkdocs is entirely broken
$ mkdocs serve 2>/dev/null; echo $?
1
$ mkdocs build 2>/dev/null; echo $?
1
$ mkdocs gh-deploy 2>/dev/null; echo $?
1

Comment 1 Fedora Update System 2017-01-20 21:09:44 UTC
mkdocs-0.16.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-27021a900b

Comment 2 William Moreno 2017-01-20 21:18:07 UTC
Thanks for the advice! The build in updates testing will update mkdocs to last upstream release and fix the missing   symlink

Comment 3 Fedora Update System 2017-01-21 22:25:44 UTC
mkdocs-0.16.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-27021a900b

Comment 4 Fedora Update System 2017-01-29 21:51:41 UTC
mkdocs-0.16.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.